## org.mozilla.javascript.optimizer
Class OptRuntime.GeneratorState

    java.lang.Object
      org.mozilla.javascript.optimizer.OptRuntime.GeneratorState

Enclosing class:
  OptRuntime

    public static class OptRuntime.GeneratorState

extends java.lang.Object

Field Summary
`int` `resumptionPoint`
`Scriptable` `thisObj`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resumptionPoint

    public int resumptionPoint

### thisObj

    public Scriptable thisObj